# ifndef TYPES_H
# define TYPES_H

# define MAX_BUFFER 256
# define INVALID_GRID - 1
# define MATRIXSIZE 4
# define PIE 3.14159
# define ka .6
# define kd .7

# ifndef TARDEM_ERROR_CODES
# define TARDEM_ERROR_CODES

# define TARDEM_NO_ERROR 0
# define TARDEM_COPY_GRID_ERROR 1
# define TARDEM_INTERNAL_ERROR 2

# endif

enum TYPE_CODE { SHORT_TYPE, LONG_TYPE, FLOAT_TYPE, DOUBLE_TYPE, CHAR_TYPE, INVALID_TYPE_CODE = -1 };
enum GRID_TYPE { ASCII_GRID, BINARY_GRID, ESRI_GRID, SDTS_GRID, USE_EXTENSION, INVALID_GRID_TYPE = -1 };
enum IMAGE_TYPE { BITMAP_TYPE, GIF_TYPE, INVALID_IMAGE_TYPE = -1 };
# endif
